import { Http } from '@zeedhi/core';

export class CardsController {
  public DIASEST: string = '';

  public VRDESVIO: string = '';

  public VRSOLEXTRA: string = '';

  public PROCESSINGDATE: string = '';

  public PROXLIBCARD: string = '';
  
  public VRAJUSTE: string = '';
  
  public DIAAPROV: string = '';
  
  public IMPACTO: string = '';
  
  public QTDE: string = '';
  
  public QTDIASATRASO: string = '';
  
  public getDataFillCards(components) {
    const childrenComponents = components.component.parent.children;
    const componentForProps = childrenComponents.find((child) => child.name && child.name === components.component.name);
    const props = componentForProps.props;
    const routeName = props.routeName;
    const columnName = props.columnName;
    const sendObject = {
      filter: [],
    };
    
    Http.post(`/${routeName}`, sendObject).then((response) => {
      /* eslint no-console: ["error", { allow: ["warn", "error", "info", "log"] }] */
      const data = response.data.dataset[routeName];
      const [firstRecord] = Array.isArray(data) ? data : [];
      const VALUE = firstRecord[columnName];
      this[columnName] = VALUE || VALUE === 0 ? VALUE.toString() : '';
    });
  }

  // public getDaysOfStock() {
  //   const sendObject = {
  //     filter: [],
  //   };
      
  //   Http.post('/daysOfStockGU', sendObject).then((response) => {
  //     /* eslint no-console: ["error", { allow: ["warn", "error", "info", "log"] }] */
  //     const [daysOfStockGU] = response.data.dataset.daysOfStockGU;
  //     this.daysOfStock = daysOfStockGU ? (daysOfStockGU.DIASEST).toString() : '';
  //   });
  // }
  
  // public getExtraRequest() {
  //   const sendObject = {
  //     filter: [],
  //   };
    
  //   Http.post('/extraRequestGU', sendObject).then((response) => {
  //     /* eslint no-console: ["error", { allow: ["warn", "error", "info", "log"] }] */
  //     const [extraRequestGU] = response.data.dataset.extraRequestGU;
  //     this.extraRequest = extraRequestGU ? (extraRequestGU.VRSOLEXTRA).toString() : '';
  //   });
  // }
  
  // public getConsumptionDiversion() {
  //   const sendObject = {
  //     filter: [],
  //   };
    
  //   Http.post('/consumptionDiversionGU', sendObject).then((response) => {
  //     /* eslint no-console: ["error", { allow: ["warn", "error", "info", "log"] }] */
  //     const [consumptionDiversionGU] = response.data.dataset.consumptionDiversionGU;
  //     this.consumptionDiversion = consumptionDiversionGU ? (consumptionDiversionGU.VRDESVIO).toString() : '';
  //   });
  // }
  
  // public getProcessingDate() {
  //   const sendObject = {
  //     filter: [],
  //   };
    
  //   Http.post('/processingDateGU', sendObject).then((response) => {
  //     /* eslint no-console: ["error", { allow: ["warn", "error", "info", "log"] }] */
  //     const processingDateGU = response.data.dataset.processingDateGU;
  //     this.processingDate = processingDateGU ? processingDateGU.PROCESSINGDATE : '';
  //   });
  // }
  
  // public getNextMenuRelease() {
  //   const sendObject = {
  //     filter: [],
  //   };
    
  //   Http.post('/nextMenuReleaseGU', sendObject).then((response) => {
  //     /* eslint no-console: ["error", { allow: ["warn", "error", "info", "log"] }] */
  //     const [nextMenuReleaseGU] = response.data.dataset.nextMenuReleaseGU;
  //     const nextMenu = nextMenuReleaseGU && nextMenuReleaseGU.PROXLIBCARD ? nextMenuReleaseGU.PROXLIBCARD : null;
  //     this.nextMenuRelease = nextMenu != null ? (nextMenuReleaseGU.PROXLIBCARD).toString() : '';
  //   });
  // }
}
